package it.polimi.ingsw.gc14.Model.Cards.TribeCards.Characters;

import it.polimi.ingsw.gc14.Model.Cards.TribeCards.Character;
import it.polimi.ingsw.gc14.Model.Cards.TribeCards.CharacterType;
import it.polimi.ingsw.gc14.Model.Player;

public class Gatherer extends Character {

    /**
     *
     * @param Era gatherers era
     */
    public Gatherer(int Era) {
        super(Era, CharacterType.GATHERER);
    }
    public Gatherer(int Era, int nMin) {
        super(Era, CharacterType.GATHERER,nMin);
    }
    @Override
    public String toString() {
        return super.toString();
    }

    @Override
    public Character clone() {
        return new Gatherer(getEra());
    }
    public void insert(Player player) {
        player.gatherers.add(this);
    }
}
